cURL
curl --request POST \ --url https://commerce1.on-hellgate.dev/settlements/reports \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "currency_code": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "items": [ { "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "commission": 123, "date": "2023-11-07T05:31:56Z", "gross_credit_amount": 123, "gross_debit_amount": 123, "net_credit_amount": 123, "net_debit_amount": 123, "type": "OPENING_BALANCE" } ], "reporting_period_end": "2023-11-07T05:31:56Z", "reporting_period_start": "2023-11-07T05:31:56Z" } '
{ "currency_code": "<string>", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "items": [ { "date": "2023-11-07T05:31:56Z", "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "settlement_report_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "type": "OPENING_BALANCE", "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "commission": 123, "fee_type": "<string>", "gross_credit_amount": 123, "gross_debit_amount": 123, "net_credit_amount": 123, "net_debit_amount": 123, "payment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } ], "reporting_period_end": "2023-11-07T05:31:56Z", "reporting_period_start": "2023-11-07T05:31:56Z" }
Body
Show child attributes
Success